Subject: RE: What are the opt-in issues

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 11 Jun 2002 11:37:24 -0700

Let us rewind, at this point we have been told that this issue has been
discussed in the DNS Directorate and at the IESG retreat. The one place that
discussion does not appear to be taking place is in the working group where
it belongs.

The original question was whether the Working Group Chairs had come to a
decision concerning the consensus within the group regarding OPTIN. In this
regard the WG chairs have only three options:

	WG consensus is for full OPTIN
	WG consensus is for OPTIN restricted to delegation zones
	WG consensus is for no OPTIN

I have re-read the RFC section that concerns directorates. As Erik points
out directorates advise the ADs, at no point is there any statement that
says that a WG chair can consult a directorate to determine the consensus of
a WG.

If the WG consensus is in favor of full OPTIN then the existing documents
can be forwarded to the AD. Otherwise we simply modify the draft to state
the restriction and if there is consensus that this is done properly
(appropriately enforced etc.) the document goes forward.

Only after the document goes to the AD is it appropriate for the AD to
consult the DNS directorate.

The technical merits of OPTIN do not enter into the issue at this point. The
question being asked is what the working group consensus is, not the
consensus of the directorate.

There may of course be value in the DNS directorate anticipating the OPTIN
document at a moment when people happen to be in one physical location.
However such a discussion should not prevent the regular process of the
working group being followed. 

What we need is the co-Chair's statement on consensus, or if that is not
going to be forthcomming should we simply take the statement by the AD as
indicative of the consensus and proceed on that basis (i.e. make the mods to
the draft etc) ?

		Phill

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: Tuesday, June 11, 2002 11:21 AM
> To: Paul Vixie
> Cc: namedroppers
> Subject: Re: What are the opt-in issues 
> 
> 
> > the process as i understood it was that if the WG reached 
> consensus the
> > chair's job was to fwd the relevant drafts to the AD's.  
> this appears to
> > have happened.
> 
> I'll respond to this thread in more detail once I've caught 
> up with it.
> But this particular point warrants a short response.
> 
> I have not seen the opt-in documents be forwarded to me as an AD.
> They are not on http://www.ietf.org/IESG/status.html
> 
> I also think that the current draft is about unrestricted opt-in
> and the rough consensus discussion in Minneapolis was about opt-in
> restricted to delegation points. Thus I don't think there is 
> or ever was
> a draft that *could* have been forwarded to the AD.
> 
> I would expect, assuming for a second that we continue down 
> the path of
> opt-in restricted to delegations, that the document would 
> actually specify 
> how servers check this (and whether the resolver verification is any 
> different due to the restriction).
> 
>    Erik
> 
> 
> 
> --
> to unsubscribe send a message to 
> [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 11 Jun 2002 22:17:57 +0200 (CEST)

> consult the DNS directorate.

I wouldn't be surprised if one could fine extracts of various process
related RFCs that could be construed to support your statement.
Have you already done so?
But that doesn't mean it makes any sense.

If the ADs are limited to input only when a WG is chartered/re-chartered
and when the WG asks for a document to be published as an RFC then
we are much more likely to waste time then when there can be more of
a continious engagement.
An example of wasted time would be when the AD or the whole IESG sends
back a document telling the WG to basically start over e.g. because
they made the wrong assumptions about security.

So I think it is appropriate to apply common sense and not overly rigid 
application of rules, especially if we want to provide timely standards.

  Erik

---

From: Dave Crocker <[email-masked]>
Date: Tue, 11 Jun 2002 15:08:04 -0700

>and when the WG asks for a document to be published as an RFC then

In fact, the idea that anyone is limited from talking with anyone else is 
just plain silly.

Certainly there is no precedent for such limitations in the IETF.  Since 
the IETF is about collaboration, there should be no place for prohibiting 
discussions, private or public.

But discussion is different from decision making.

So, the only serious questions that seems to be floating around is

         a) whether a chair has asserted working consensus inaccurately, or

         b) whether an AD has reversed a working group rough consensus 
decision without pursuing a reasonable collaboration with that working group.

I believe that the question of a) has been raised earlier today and awaits 
a response.

d/

----------
Dave Crocker <mailto:[email-masked]>
TribalWise, Inc. <http://www.tribalwise.com>
tel +1.408.246.8253; fax +1.408.850.1850

---

From: Randy Bush <[email-masked]>
Date: Tue, 11 Jun 2002 22:24:55 -0700

>> consult the DNS directorate.

this is drivel.  i can ask whomever i want for any advice i want any
time i want.  jeezus!